<% if(allowEmpty){console.log(allowEmpty); %>
    <option value="<%= emptyVal %>"><%= emptyText %></option>
<% } %>
<% for(var i =0;i<opts.length;i++){var opt=opts[i]; %>
    <option value="<%= opt.key %>"><%= opt.value %></option>
<% } %>
